bots.createBot
Create a managed bot » owned by the current user and controlled by the specified manager bot.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Create a managed bot » owned by the current user and controlled by the specified manager bot.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/bots.createBot" \ -H "Content-Type: application/json" \ -d '{ "params": { "name": "string", "username": "string", "managerId": { "_": "inputUserEmpty" } } }'{ "result": { "_": "userEmpty", "id": 0 }}checkUsername
Check whether a username is available and valid for use when [creating a managed bot »](https://core.telegram.org/api/bots/managed-bots#creating-a-managed-bot).
deletePreviewMedia
Delete a [main mini app preview, see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info. Only owners of bots with a configured Main Mini App can use this method, see [see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info on how to check if you can invoke this method.